Subject: Re: [PATCH net-next v1 1/1] net: phy: Move callback comments from struct to kernel-doc section

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 6 Dec 2024 12:14:13 +0000

On Fri, Dec 06, 2024 at 12:39:52PM +0100, Oleksij Rempel wrote:
> Relocate all callback-related comments from the `struct phy_driver`
> definition to a dedicated `kernel-doc` section. This improves code
> readability by decluttering the structure definition and consolidating
> callback documentation in a central place for kernel-doc generation.
> 
> No functional changes are introduced by this patch.
> 
> Signed-off-by: Oleksij Rempel <[email-masked]>

Thanks for doing this. This will mean that each method will be properly
documented in the generated kernel-doc.

It is a bit obtuse to work around kernel-doc in this way, but worth it
for the sake of the generated documentation containing all the pertinent
details.

Reviewed-by: Russell King (Oracle) <[email-masked]>

Thanks!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!